# Query Materials

### **Request** URL <a href="#payin-by-creditcard" id="payin-by-creditcard"></a>

`POST` `/remittance/material/query-materials`

### **Request Body**

&#x20;**Refer to :** [**common**](/remittance-api/common.md)

&#x20;**Biz\_data**&#x20;

<table><thead><tr><th width="235.66015625">Name</th><th width="145.58984375">Type</th><th>Description</th></tr></thead><tbody><tr><td>merchant_id<mark style="color:red;">*</mark></td><td>long</td><td>Merchant ID</td></tr><tr><td>material_id</td><td>long</td><td>Material Id</td></tr><tr><td>transaction_type</td><td>integer</td><td>Transaction Type</td></tr><tr><td>business_type</td><td>integer</td><td>Business type</td></tr><tr><td>start_date<mark style="color:red;">*</mark></td><td>string</td><td><p>Begin time</p><p>Format: <code>yyyy-MM-dd HH:mm:ss</code></p></td></tr><tr><td>end_date<mark style="color:red;">*</mark></td><td>string</td><td>End time,<br>Format: <code>yyyy-MM-dd HH:mm:ss</code></td></tr><tr><td>page_num</td><td>int</td><td>Default value:1</td></tr><tr><td>page_size</td><td>int</td><td><p>Default value:10</p><p>Max value is 30</p></td></tr></tbody></table>

### Response <a href="#example" id="example"></a>

{% tabs %}
{% tab title="200:submit successfully" %}

```
{
    "code": "10000",
    "msg": "Success",
    "data":[],
    "total":8,
    "random_key":"abssdddd2wdw==",
    "sign_type": "RSA",
    "app_id": "2017051914172236111"
}
```

{% endtab %}

{% tab title="400: invalid-signature" %}

```
{
    "code": "40002",
    "msg": "Business Failed",
    "sub_code": "invalid-signature",
    "sub_msg": "invalid signature"
}
```

{% endtab %}
{% endtabs %}

<table><thead><tr><th width="312.58203125">Name</th><th width="118.5625">Type</th><th>Description</th></tr></thead><tbody><tr><td>material_id<mark style="color:red;">*</mark></td><td>long</td><td>Material ID</td></tr><tr><td>material_name<mark style="color:red;">*</mark></td><td>string</td><td>Material name</td></tr><tr><td>merchant_id<mark style="color:red;">*</mark></td><td>long</td><td>Merchant ID</td></tr><tr><td>transaction_type<mark style="color:red;">*</mark></td><td>Integer</td><td><p>Transaction Type </p><p><code>101-collection</code> </p><p><code>111-payment</code></p></td></tr><tr><td>business_type</td><td>Integer</td><td><p>Business type</p><p><code>10-goods trade</code></p><p><code>11-service trade</code></p><p><code>20-platform</code></p><p><code>21-platform independent</code></p></td></tr><tr><td>contract_no</td><td>string</td><td>Contract NO.</td></tr><tr><td>contract_date</td><td>string</td><td>Contract date</td></tr><tr><td>buyer_name</td><td>string</td><td>Buyer name</td></tr><tr><td>buyer_country</td><td>string</td><td>Buyer country</td></tr><tr><td>amount</td><td>string</td><td>Order amount</td></tr><tr><td>amount_linking</td><td>string</td><td>Amount Linking (reviewing)</td></tr><tr><td>amount_linked</td><td>string</td><td>Amount Linked(success)</td></tr><tr><td>currency</td><td>string</td><td>Order currency</td></tr><tr><td>platform_name</td><td>string</td><td>Platform name</td></tr><tr><td>payee_name</td><td>string</td><td><p>Payee name</p><h4 id="example-4"><br></h4></td></tr><tr><td>created_at</td><td>string</td><td>Created at</td></tr><tr><td>comments</td><td>string</td><td>Comments</td></tr></tbody></table>

### Example <a href="#example" id="example"></a>

```

curl --location --request POST 'https://rem-api-sandbox.pagsmile.com/remittance/material/query-materials' \
--header 'Content-Type: application/json' \
--data-raw '
{
    "partner_id": "000000000000001",
    "app_id": "162051914172236138",
    "timestamp": "2011-09-23 04:24:03",
    "format": "JSON",
    "version": "2.0",
    "random_key": "jJT3+PR9CSowcR2QOK5OzMjVmTSjGoectzYbO8lENHnboElE",
    "request_id": "F6bEd39c-EecF-C1a2-AFcb-bA9BAeC8",
    "sign_type": "RSA",
    "biz_data": "jJT3+PR9CSowcR2QOK5OzMjVmTSjGoectzYbO8lENHnboElEjJT3+PR9CSowcR2QOK5OzMjVmTSjGoectzYbO8lENHnboElE"
}'
```

```
```

Note: **162\*\*\*\*\*\*\*\*\*\*\*\*38** is pagsmile's test app id for sandbox

Please use your own **app\_id** when testing.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pagsmile.com/remittance-api/business/material/query-materials.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
